PatchParam Struct Reference

Public Attributes | List of all members
PatchParam Struct Reference

`#include <types.h>`

Inheritance diagram for PatchParam:

## Public Attributes
float | sharpness
Public Attributes inherited from PatchParam
unsigned int | field0:32
unsigned int | field1:32

## Additional Inherited Members
Public Member Functions inherited from PatchParam
void | Set (Index faceid, short u, short v, unsigned short depth, bool nonquad, unsigned short boundary, unsigned short transition, bool regular=false)
| Sets the values of the bit fields. More...
void | Clear ()
| Resets everything to 0. More...
Index | GetFaceId () const
| Retuns the faceid. More...
unsigned short | GetU () const
| Returns the log2 value of the u parameter at the first corner of the patch. More...
unsigned short | GetV () const
| Returns the log2 value of the v parameter at the first corner of the patch. More...
unsigned short | GetTransition () const
| Returns the transition edge encoding for the patch. More...
unsigned short | GetBoundary () const
| Returns the boundary edge encoding for the patch. More...
bool | NonQuadRoot () const
| True if the parent base face is a non-quad. More...
unsigned short | GetDepth () const
| Returns the level of subdivision of the patch. More...
float | GetParamFraction () const
| Returns the fraction of unit parametric space covered by this face. More...
void | Normalize (float &u, float &v) const
| A (u,v) pair in the fraction of parametric space covered by this face is mapped into a normalized parametric space. More...
void | Unnormalize (float &u, float &v) const
| A (u,v) pair in a normalized parametric space is mapped back into the fraction of parametric space covered by this face. More...
bool | IsRegular () const
| Returns whether the patch is regular. More...

## Detailed Description

Definition at line 93 of file types.h.

## Member Data Documentation

## ◆ sharpness

float sharpness

Definition at line 95 of file types.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/types.h